﻿<AML>
 <Item type="Method" id="D610EA8FDE14401CBF3C65FBC1BA307F" action="add">
  <comments />
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_get_dept_or_SO_name
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	-Get Project Code and Project Name according by project code in Allocation.
	-Set Project Code and Project Name.
	-Get Department Code and Department Name according by Department code in Allocation.
	-Set Department Code and Department Name.
	
Hooks:
	Type:	ItemType	:	sop_sale_allocation
	Event:	acc_department_so_no ( OnEditFinish )
	
	Type:	ItemType	:	pop_purchase_allocation
	Event:	acc_department_so_no ( OnEditFinish )
	
	Type:	ItemType	:	acc_income_expense_allocation
	Event:	acc_department_so_no ( OnEditFinish )
	
Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var thisItem = parent.thisItem;
var relitm = thisItem.getItemsByXPath("//Item[@id='" + relationshipID + "']");
var acc_department_so_no = relitm.getProperty("acc_department_so_no");

var get_department_so_no = myInnovator.newItem("hr_project", "get");
get_department_so_no.setProperty("pr_project_code", acc_department_so_no);
var get_department_so_no_result = get_department_so_no.apply();
var _count = get_department_so_no_result.getItemCount();

var get_department_so_no1 = myInnovator.newItem("hr_dept", "get");
get_department_so_no1.setProperty("pr_dept_code", acc_department_so_no);
var get_department_so_no_result1 = get_department_so_no1.apply();
var _count1 = get_department_so_no_result1.getItemCount();

if (_count > 0) {
    var get_department_so_no_data = get_department_so_no_result.getItemByIndex(0);
    var pr_project_name = get_department_so_no_data.getProperty("pr_project_name");
    var pr_project_id = get_department_so_no_data.getProperty("id");
    gridApplet.setCellValue(relationshipID, 3, pr_project_name);
    relitm.setProperty("acc_department_so_name", pr_project_name);
    relitm.setProperty("acc_department_so_id", pr_project_id);

} else if (_count1 > 0) {
    var get_department_so_no_data1 = get_department_so_no_result1.getItemByIndex(0);
    var pr_dept_name = get_department_so_no_data1.getProperty("pr_dept_name");
    var pr_dept_id = get_department_so_no_data1.getProperty("id");
    gridApplet.setCellValue(relationshipID, 3, pr_dept_name);
    relitm.setProperty("acc_department_so_name", pr_dept_name);
    relitm.setProperty("acc_department_so_id", pr_dept_id);
} else {
    top.aras.AlertError("Code Not Found!");
    return;

}
return this;]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_get_dept_or_SO_name</name>
 </Item>
</AML>